#include "group.h"
 
extern int cnt;
extern int g_cnt;
extern int x, y, z;      

void zpp(void)
{
g_cnt++; cnt=0; x=0; y=0; z=0; 
}   

void pwave(int x, int y, int z)
{
if (cnt==0) { printf("\t>> P-Wave\n"); usleep(x); } // 10000
if (cnt==1) qh1a;
if (cnt==2) usleep(z); 
if (cnt==3) cqh1a;
if (cnt==4) usleep(x); 
if (cnt==5) qh1b;
if (cnt==6) usleep(y); 
if (cnt==7) cqh1b;
if (cnt==8) usleep(z);

if (cnt==9) qh1a;
if (cnt==10) usleep(z); 
if (cnt==11) cqh1a;
if (cnt==12) usleep(x); 
if (cnt==13) qh1b;
if (cnt==14) usleep(y); 
if (cnt==15) cqh1b;
if (cnt==16) usleep(z);

if (cnt==17) qh1a;
if (cnt==18) usleep(z); 
if (cnt==19) cqh1a;
if (cnt==20) usleep(x); 
if (cnt==21) qh1b;
if (cnt==22) usleep(y); 
if (cnt==23) cqh1b;
if (cnt==24) usleep(z);
 
if (cnt==25) { zpp(); }
}

power()
{
if (cnt==0) { printf("\t>> Power on\n"); }
if (cnt==1) qpow;
if (cnt==2) sleep(20); // set to 20
if (cnt==3) { zpp(); }
}

void powerr()
{
if (cnt==0) { printf("\t>> Power down\n"); }
if (cnt==1) cqpow;
if (cnt==2) sleep(10); // set to 10
if (cnt==3) zpp(); 
}
 
pump()
{
if (cnt==0) { printf("\t>> Pump on\n"); }
if (cnt==1) qpmp;
if (cnt==2) sleep(5); // set to 5
if (cnt==3) zpp();
}
 
pumpr()
{
if (cnt==0) { sleep(5); printf("\t>> Pump off\n"); }
if (cnt==1) cqpmp;
if (cnt==2) sleep(10); // set to 10
if (cnt==3) zpp();
}

void shutdown() 
{
if (cnt==0) printf("\t>> Kill pump\n"); 
if (cnt==1) cqpmp;
if (cnt==2) sleep(5); // Sleep 5
if (cnt==3) printf("\t>> Kill power\n"); 
if (cnt==4) cqpow;
if (cnt==5) sleep(10); // Sleep 10
if (cnt==6) { printf("\t>> Done\n"); exit(0); }
}
